package repo

import (
	"context"
	"voucher/internal/biz/bo"
)

type OrderNotifyRepo interface {
	Create(ctx context.Context, req *bo.OrderNotifyBo) (*bo.OrderNotifyBo, error)
	Success(ctx context.Context, id uint64, responses string) error
	Fail(ctx context.Context, id uint64, remark string) error
}
